<id>
Overdrive Bar
</id>

<version>
1.0
</version>

<mod info>
Add graphical and textual overdrive meters to your YaBB, based upon the number of posts the user has towards his/her full overdrive.
This is mostly used for RPG forums or people who play text based RPG on forums. Overdrive indicates the access to your special abilities.
It was an idea taken from Final Fantasy X (Playstation 2).

instuctions:
1) Upload empty_bar.gif, fill_bar.gif, full_bar.gif, l_bar.gif, and r_bar.gif to your YaBBImages directory.
2) Run mod.
3) If you wish to count negative numbers as non-negative, delete the #'s after the line that says "Uncomment this".
4) If you wish to use different limit values, change the values where it says "$maxx +=".
5) Upload your newly modified Load.pl and Display.pl to your Sources directory.
</mod info>

<author>
Zero G
</author>

<homepage>
http://vgmsociety.netfirms.com
</homepage>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	$yyUDLoaded{$user} = 1;
</search for>

<add before>
### Ovd Hack ###
	$ovrposts = $ovposts;
	$maxx = 25;

	if($userprofile{$user}->[6] > 2000) { $maxx += 975;
	    $ovrposts -= 500;}
	elsif($userprofile{$user}->[6] > 1500) { $maxx += 475;
	    $ovrposts -= 500;}
	elsif($userprofile{$user}->[6] > 1000) { $maxx += 475;
	    $ovrposts -= 500;}
	elsif($userprofile{$user}->[6] > 500) { $maxx += 475;
	    $ovrposts -= 100;}
	elsif($userprofile{$user}->[6] > 400) { $maxx += 75;
	    $ovrposts -= 100;}
	elsif($userprofile{$user}->[6] > 300) { $maxx += 75;
	    $ovrposts -= 100;}
	elsif($userprofile{$user}->[6] > 200) { $maxx += 75;
	    $ovrposts -= 100;}
	elsif($userprofile{$user}->[6] > 100) { $maxx += 75;
	    $ovrposts -= 50;}
	elsif($userprofile{$user}->[6] > 50) { $maxx += 25;
	    $ovrposts -= 25;}

	if($ovrposts > $maxx) { $ovrposts = $maxx;}

	if($ovposts eq $txt{'683'}) {
	    $ovposts = 1;
	    $maxx = 1;
	}
	elsif($ovposts < 0) {
	    $ovposts = 0;
	    $maxx = 1;
	}

	$ovd{$user} = sprintf("%.2f", $ovrposts / $maxx * 100);

	if($ovd{$user} == 100) { $ovd{$user} = qq~<img src="$imagesdir/overdrive_full.gif" width="104" height="6"><br>\nOV: 100% ($ovrposts/$maxx)~; } else {

	    $overdrive_fill = int($ovd{$user});
	    if($overdrive_fill){$overdrive_fill = qq~<img src="$imagesdir/overdrive_fill.gif" width="$overdrive_fill" height="6">~;} else {$overdrive_fill = "";}

	    $empty_obar = 100 - $ovd{$user};
	    if($empty_obar){$empty_obar = qq~<img src="$imagesdir/empty_obar.gif" width="$empty_obar" height="6">~;} else {$empty_obar = ""; }

	    $ovd{$user} = qq~<img src="$imagesdir/overdrive_left.gif" width="2" height="6">$overdrive_fill$empty_obar<img src="$imagesdir/r_obar.gif" width="3" height="6"><br>\nOV: $ovd{$user}% ($ovrposts/$maxx)~;
	}

	$ovd{$user} .= '<!-- Overdrive Bar Hack by Zero G (vgmsociety@yahoo.com) -->';
###/Ovd Hack ###

</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
            $postinfo
</search for>

<add after>
	    <br>$ovd{$musername}
</add after>